Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Standalone Class Reference

## Public Member Functions
| __init__ (self, p3dfile, tokens={})
| __del__ (self)
| build (self, output, platform=None, extraTokens={})
| buildAll (self, outputDir=".")
| embed (self, output, p3dembed, extraTokens={})
| getExtraFiles (self, platform)

## Public Attributes
| basename = self.p3dfile.getBasenameWoExtension()
| host = HostInfo(PandaSystem.getPackageHostUrl(), appRunner = appRunner, hostDir = self.tempDir, asMirror = False, perPlatform = True)
| http = core.HTTPClient.getGlobalPtr()
| p3dfile = Filename(p3dfile)
str | tempDir = Filename.temporary("", self.basename, "") + "/"
| tokens = tokens

## Static Public Attributes
| notify = directNotify.newCategory("Standalone")

## Detailed Description

     This class creates a standalone executable from a given .p3d file.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | p3dfile,
|  |  | tokens = {} )

## ◆ __del__()

__del__ | ( |  | self | ) |

## Member Function Documentation

## ◆ build()

build | ( |  | self,
|  |  | output,
|  |  | platform = None,
|  |  | extraTokens = {} )

     Builds a standalone executable and stores it into the path
    indicated by the 'output' argument. You can specify to build for
    a different platform by altering the 'platform' argument.

## ◆ buildAll()

buildAll | ( |  | self,
|  |  | outputDir = "." )

     Builds standalone executables for every known platform,
    into the specified output directory.

## ◆ embed()

embed | ( |  | self,
|  |  | output,
|  |  | p3dembed,
|  |  | extraTokens = {} )

     Embeds the p3d file into the provided p3dembed executable.
    This function is not really useful - use build() or buildAll() instead.

## ◆ getExtraFiles()

getExtraFiles | ( |  | self,
|  |  | platform )

     Returns a list of extra files that will need to be included
    with the standalone executable in order for it to run, such as
    dependent libraries. The returned paths are full absolute paths.

## Member Data Documentation

## ◆ basename

basename = self.p3dfile.getBasenameWoExtension()

## ◆ host

host = HostInfo(PandaSystem.getPackageHostUrl(), appRunner = appRunner, hostDir = self.tempDir, asMirror = False, perPlatform = True)

## ◆ http

http = core.HTTPClient.getGlobalPtr()

## ◆ notify

notify = directNotify.newCategory("Standalone")
| static

## ◆ p3dfile

p3dfile = Filename(p3dfile)

## ◆ tempDir

tempDir = Filename.temporary("", self.basename, "") + "/"

## ◆ tokens

tokens = tokens